%define version 0.0.3
%define release 1

Summary:       A Jack based mixer application
Name:          jackmix
Version:       %{version}
Release:       %{release}%{?dist}
License:       GPL
Group:         Applications/Multimedia
URL:           http://roederberg.dyndns.org/~arnold/jackmix/
Source0:       %{name}-%{version}.tar.gz
Patch0:        jackmix-0.0.3-r1.diff
Patch1:        jackmix-0.0.3-selectedid.diff
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: gcc-c++ pkgconfig qt-devel 
BuildRequires: libjpeg-devel libpng-devel zlib-devel
BuildRequires: jack-audio-connection-kit-devel

%description
Jackmix is a mixer app for jack that looks exactly like the mixer you
would use if you had to connect your analog equipment.

%prep
%setup -q
%patch1 -p1

%build
%configure
# add X11R6 lib path
find . -name Makefile -exec perl -p -i -e "s|-lXext|-L/usr/X11R6/lib -lXext|g" {} \;
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#--- create a desktop entry
cat << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=JackMix
Comment=Jack mixer
Exec=%{_bindir}/%{name}
Icon=
Terminal=false
Type=Application
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop
# remove the original desktop entry
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc 
%{_bindir}/*
%{_datadir}/applications/startcom-%{name}.desktop


%changelog
* Mon Apr 10 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

* Tue Jul 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- initial build
